package ru.yandex.autotests.directapi.darkside.model.bslogs.clientdata;

import java.util.List;
import java.util.Map;

import com.google.gson.JsonObject;
import com.google.gson.annotations.SerializedName;

import ru.yandex.autotests.direct.db.models.jooq.ppc.enums.FeedsBusinessType;
import ru.yandex.autotests.directapi.enums.StatusYesNo;

/**
 * Created by buhter on 04/06/15.
 */
public class BannerLandDataPerformance {

    @SerializedName("Filter")
    BannerLandDataFilter filter;

    @SerializedName("Targets")
    Map<String, JsonObject> targets;

    @SerializedName("FeedUrl")
    String feedUrl;

    @SerializedName("Geo")
    private List<String> geo;

    @SerializedName("Login")
    String login;

    @SerializedName("Password")
    String password;

    @SerializedName("HrefParams")
    String hrefParams;

    @SerializedName("TargetsParams")
    Map<String, TargetsParamsPerformance> targetsParams;

    @SerializedName("RemoveUtm")
    StatusYesNo removeUtm;

    @SerializedName("SubstituteURLParams")
    Map<String, String> substituteURLParams;

    @SerializedName("BusinessType")
    FeedsBusinessType feedsBusinessType;

    @SerializedName("LastValidFeedType")
    String lastValidFeedType;

    @SerializedName("UseAsName")
    String useAsName;

    @SerializedName("UseAsBody")
    String useAsBody;

    public BannerLandDataFilter getFilter() {
        return filter;
    }

    public void setFilter(BannerLandDataFilter filter) {
        this.filter = filter;
    }

    public FeedsBusinessType getFeedsBusinessType() {
        return feedsBusinessType;
    }

    public void setFeedsBusinessType(FeedsBusinessType feedsBusinessType) {
        this.feedsBusinessType = feedsBusinessType;
    }

    public Map<String, JsonObject> getTargets() {
        return targets;
    }

    public void setTargets(Map<String, JsonObject> targets) {
        this.targets = targets;
    }

    public String getFeedUrl() {
        return feedUrl;
    }

    public void setFeedUrl(String feedUrl) {
        this.feedUrl = feedUrl;
    }

    public List<String> getGeo() {
        return geo;
    }

    public void setGeo(List<String> geo) {
        this.geo = geo;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getHrefParams() {
        return hrefParams;
    }

    public void setHrefParams(String hrefParams) {
        this.hrefParams = hrefParams;
    }

    public Map<String, TargetsParamsPerformance> getTargetsParams() {
        return targetsParams;
    }

    public void setTargetsParams(Map<String, TargetsParamsPerformance> targetsParams) {
        this.targetsParams = targetsParams;
    }

    public StatusYesNo getRemoveUtm() {
        return removeUtm;
    }

    public void setRemoveUtm(StatusYesNo removeUtm) {
        this.removeUtm = removeUtm;
    }

    public Map<String, String> getSubstituteURLParams() {
        return substituteURLParams;
    }

    public void setSubstituteURLParams(Map<String, String> substituteURLParams) {
        this.substituteURLParams = substituteURLParams;
    }

    public FeedsBusinessType getBusinessType() {
        return feedsBusinessType;
    }

    public String getLastValidFeedType() {
        return lastValidFeedType;
    }

    public void setLastValidFeedType(String lastValidFeedType) {
        this.lastValidFeedType = lastValidFeedType;
    }

    public String getUseAsName() {
        return useAsName;
    }

    public void setUseAsName(String useAsName) {
        this.useAsName = useAsName;
    }

    public String getUseAsBody() {
        return useAsBody;
    }

    public void setUseAsBody(String useAsBody) {
        this.useAsBody = useAsBody;
    }
}


